Groovy Documentation

## groovy.model
[Java] Class FormModel

    java.lang.Object
      groovy.model.FormModel

    public class FormModel

Represents a number of field models which can be ValueModel, PropertyModel, TableModel, TreeModel or nested FormModel instances

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`FormModel()`
`FormModel(java.util.Map fieldModels)`

Method Summary
`void` | `addModel(java.lang.String name, java.lang.Object model)`
`java.lang.Object` | `getModel(java.lang.String name)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FormModel

    public FormModel()

### FormModel

    public FormModel(java.util.Map fieldModels)

Method Detail

### addModel

    public void addModel(java.lang.String name, java.lang.Object model)

### getModel

    public java.lang.Object getModel(java.lang.String name)

Groovy Documentation